過去ログ表示


過去ログ 20 を表示

トピック内全 6 記事中の 1 〜 6 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0]

J2SE 1.4.1 リリース
(#2981) このトピック中1番目の投稿

Sun J2SE 1.4.1 がリリースされました。
http://java.sun.com/j2se/1.4.1/ja/index.html

Mozilla とのからみで大きなところは PARAM タグで渡された全角文字が化けなくなったことでしょう。次のバグが直りました。
http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=1343
これでアプレットの文字化けの一部が直ります。

インストールは単純なはずですが Windows の場合は、プラグインの更新やレジストリの書き換えなどの問題があるので、特に理由がない限り古い JRE/SDK をアンインストールしてからの方が安全だと思います。


Re[1]: J2SE 1.4.1 リリース
(#2982) このトピック中2番目の投稿

> Mozilla とのからみで大きなところは PARAM タグで渡された全角文字が化けなくなったことでしょう。次のバグが直りました。
> http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=1343
> これでアプレットの文字化けの一部が直ります。

1.3.1_04はもう過去のものなのでしょうか。
http://java.sun.com/j2se/1.3/ja/index.html
ブラウザのPlug-inとしてか使っていないので、
特に問題がなければ、1.4.1にバージョンアップしようかと思います。


Re[2]: J2SE 1.4.1 リリース
(#2984) このトピック中3番目の投稿

> 1.3.1_04はもう過去のものなのでしょうか。
> http://java.sun.com/j2se/1.3/ja/index.html
> ブラウザのPlug-inとしてか使っていないので、
> 特に問題がなければ、1.4.1にバージョンアップしようかと思います。

多分、問題無いです。ここらへん、ちょっと微妙。

Sun は、一部例外を除き、バイナリレベルの上位互換性を保持しているとうたいます。例外は次のページに。
http://java.sun.com/j2se/1.4/ja/compatibility.html

でも、時折新しいバグが入ります。これが結構多いです。逆に直るバグもあります。

それと Applet の作りが悪くてバージョン依存ということもあります。Microsoft Virtual Machine for Java じゃないと動かない Applet とかあるでしょ。この点は現状では JDK 1.1 ベースの Applet が多いので 1.3.1_02 と 1.4.1 は大差ないでしょうが。

だから、こう言います。全ての Applet の動作は保証出来ないけど、問題無いです、多分。

それともう一つ。Windows 版 JRE の場合、二つインストールして一方アンインストールするとレジストリの必要な項目が消されるなどして単純には復旧できません。だから古い JRE を残すのも安全策にはならないんです。新しい JRE をインストールするなら思い切って乗り換えましょう。


Re[1]: J2SE 1.4.1 リリース ( NPOJI610.DLL のコピー )
(#2991) このトピック中4番目の投稿

> Sun J2SE 1.4.1 がリリースされました。
> http://java.sun.com/j2se/1.4.1/ja/index.html
>(中略)
> インストールは単純なはずですが Windows の場合は、プラグインの更新やレジストリの書き換えなどの問題があるので、特に理由がない限り古い JRE/SDK をアンインストールしてからの方が安全だと思います。

既知のことかもしれませんが、もじら組BBS/Bugzilla-JPには"NPOJI610"の文字が見つかりませんので、ここに書いておきます。

Win-Meですと、Program Files\Java\j2re1.4.1\bin のPluginは、以下のもののようです。
NPJPI141.DLL, NPJAVA11.DLL, NPJAVA12.DLL, NPJAVA13.DLL, NPJAVA32.DLL および NPOJI610.DLL

このうち、NPOJI610.DLLは、Netscape4.xには導入されず、Netscape 6.xにのみ導入されるものです。
SunのJavaのインストーラーは、IE/Netscape 4.x/Netscape 6.xしか認識せず、Netscape 7/Mozillaは無視しますので手でコピーする必要がありますが、特に NPOJI610.DLL については気をつけてください。

これがないとどういう問題が起こるのか詳しくは知りませんが、Bugzilla-JPの bug 1782 に、NPOJI600.DLL(多分Java 1.3の場合)のコピー忘れによる問題がありました。
本家Bugzillaには "NPOJI610.DLL" の記述があるバグが結構あり、中にはMozillaのクラッシュもありますが、かなりがWORKSFORME(バグではない)でクローズされていて、そのうちの一つには "NPOJI610.DLL" をコピーするように書いてありました。
また、上記のSunのJavaサイトを、Bugも含めて "NPOJ610.DLL" で検索するとバグがいくつかでてきますが、その中に「Mozillaもサポートして欲しい」というバグがありましたので、必要なものだと思われます。

この NPOJI610.DLL のコピーを忘れると問題が起きる可能性がありますので、ご注意ください。

Re[2]: J2SE 1.4.1 リリース ( NPOJI610.DLL のコピー )
(#2994) このトピック中5番目の投稿

>>Sun J2SE 1.4.1 がリリースされました。
>>http://java.sun.com/j2se/1.4.1/ja/index.html
> >(中略)
>>インストールは単純なはずですが Windows の場合は、プラグインの更新やレジストリの書き換えなどの問題があるので、特に理由がない限り古い JRE/SDK をアンインストールしてからの方が安全だと思います。
>
> 既知のことかもしれませんが、もじら組BBS/Bugzilla-JPには"NPOJI610"の文字が見つかりませんので、ここに書いておきます。
>
> Win-Meですと、Program Files\Java\j2re1.4.1\bin のPluginは、以下のもののようです。
> NPJPI141.DLL, NPJAVA11.DLL, NPJAVA12.DLL, NPJAVA13.DLL, NPJAVA32.DLL および NPOJI610.DLL
>
> このうち、NPOJI610.DLLは、Netscape4.xには導入されず、Netscape 6.xにのみ導入されるものです。
> SunのJavaのインストーラーは、IE/Netscape 4.x/Netscape 6.xしか認識せず、Netscape 7/Mozillaは無視しますので手でコピーする必要がありますが、特に NPOJI610.DLL については気をつけてください。

私の環境ではその現象は再現しないようです。

現在、私の環境にはNetscape 6, Netscape 7, Mozilla(nightly-trunk)
がインストールされていますが、1.4.1のインストーラーはNPOJI610.DLLを含む
プラグイン関連ファイルをNetscape 7とMozillaのpluginsフォルダに
コピーしました。
逆にNetscape 6のpluginsフォルダにはコピーしませんでした。

Mozillaをインストーラーを使わずにzipビルドを使って導入している場合は、
WindowsのレジストリにMozillaをインストールした場所が記述されないので
JavaのインストーラーはMozillaの場所を認識できないかもしれません。

余談ですが、先にJavaをインストールし、後からMozillaを
Windowsインストーラービルドを使ってインストールした場合、Mozillaは
JavaPluginを自動的に認識するようになっている(リリースノートに
ちょっとだけそのことが書かれています)ので、Mozillaのpluginsフォルダに
それらのファイルがコピーされていなくても必ずしも問題があるとは限らないようです。

Re[3]: J2SE 1.4.1 リリース ( NPOJI610.DLL のコピー )
(#3003) このトピック中6番目の投稿

> 私の環境ではその現象は再現しないようです。
>
> 現在、私の環境にはNetscape 6, Netscape 7, Mozilla(nightly-trunk)
> がインストールされていますが、1.4.1のインストーラーはNPOJI610.DLLを含む
> プラグイン関連ファイルをNetscape 7とMozillaのpluginsフォルダに
> コピーしました。
> 逆にNetscape 6のpluginsフォルダにはコピーしませんでした。
>
> Mozillaをインストーラーを使わずにzipビルドを使って導入している場合は、
> WindowsのレジストリにMozillaをインストールした場所が記述されないので
> JavaのインストーラーはMozillaの場所を認識できないかもしれません。

私の環境は、Netscape 4.78/Netscape 6.21は削除済み/Netscape 7.0英語版/Netscape 7.0日本語版/Netscape 7.0日本語版(ブラウザーのみ)/ZIP版Mozillaが多数、という、インストーラーに意地悪な環境になっていました(^^;
# このBBSで、NewsのURIもリンクにする機能拡張のテストで、
# メーラーを導入していない場合の確認のために、こんな風になっちゃいました...

SunのBugには、Mozillaのインストールサポートのリクエストに対し、1.4の方に上げてくれ、という回答があったので、少なくとも1.4.1ではサポートされたようですね。
MozillaもNetscape 7もちゃんとサポートされてよかった、よかった。

ZIP版がダメなところを見ると、Javaのインストーラーはレジストリーを見ているようですね。
私のところは複数のNetscape 7.0があって、インストーラーがびっくりしたんでしょう(^^;
済!

このトピックの全ページ / [0]

返信不可


- Child Tree -